Skip to main content
POST
Create dimensional price group prices

Authorizations

Authorization
string
header
required

API Keys can be issued in the Orb's web application.

Path Parameters

dimensional_price_group_id
string
required

Body

application/json
item_id
string
required

The item for every price. Must be the group's billable metric item.

cadence
enum<string>
required

Billing cadence for every price

Available options:
one_time,
monthly,
quarterly,
semi_annual,
annual
currency
string
required

An ISO 4217 currency string for every price.

Example:

"USD"

model_type
enum<string>
required
Available options:
unit,
tiered
prices
BulkDimensionalPrice · object[]
required
Minimum array length: 1
tiers
DimensionalPriceTierBoundary · object[] | null

Shared tier boundaries. Required for tiered prices and omitted for unit prices.

Response

Created

data
(UnitPrice · object | TieredPrice · object | BulkPrice · object | BulkWithFiltersPrice · object | PackagePrice · object | MatrixPrice · object | ThresholdTotalAmountPrice · object | TieredPackagePrice · object | TieredWithMinimumPrice · object | GroupedTieredPrice · object | GroupedTieredMatrixPrice · object | TieredPackageWithMinimumPrice · object | PackageWithAllocationPrice · object | UnitWithPercentPrice · object | MatrixWithAllocationPrice · object | TieredMatrixWithAllocationPrice · object | MatrixWithThresholdDiscountsPrice · object | TieredWithProrationPrice · object | UnitWithProrationPrice · object | GroupedAllocationPrice · object | BulkWithProrationPrice · object | GroupedWithProratedMinimumPrice · object | GroupedWithMeteredMinimumPrice · object | GroupedWithMinMaxThresholdsPrice · object | MatrixWithDisplayNamePrice · object | GroupedTieredPackagePrice · object | MaxGroupTieredPackagePrice · object | ScalableMatrixWithUnitPricingPrice · object | ScalableMatrixWithTieredPricingPrice · object | CumulativeGroupedBulkPrice · object | CumulativeGroupedAllocationPrice · object | DailyCreditAllowancePrice · object | MeteredAllowancePrice · object | MinimumCompositePrice · object | PercentCompositePrice · object | EventOutputPrice · object)[]
required

The prices created by this request, in request order.

The Price resource represents a price that can be billed on a subscription, resulting in a charge on an invoice in the form of an invoice line item. Prices take a quantity and determine an amount to bill.

Orb supports a few different pricing models out of the box. Each of these models is serialized differently in a given Price object. The model_type field determines the key for the configuration object that is present.

For more on the types of prices, see the core concepts documentation